#!/bin/bash

#este script requiere el script "Bevel" de Fred Weinhaus que se 
# puede descargar en http://www.fmwconcepts.com/imagemagick/index.php

#r es el radio de clipeo
radio = '8'  #en la línea que comienza con draw.

#esp es el espesor del reborde negro
esp = '20'

for d in $(ls *.png); do
    
#clipear las esquinas
convert $d \
     \( +clone  -alpha extract \
        -draw 'fill black polygon 0,0 0,8 8,0 fill white circle 8,8 8,0' \
    \( +clone -flip \) -compose Multiply -composite \
    \( +clone -flop \) -compose Multiply -composite \
    \) -alpha off -compose CopyOpacity -composite  ./out/$d


#extender el borde transparente para tener más sitio
convert ./out/$d -bordercolor none -border 20 ./out/$d 

#efecto 3D 7 pixels y recortar el aumento del paso anterior
./bevel -w 7 ./out/$d  miff:- | convert - -gravity center -shave 20x20 ./out/$d 

#crea el borde negro alrededor
convert ./out/$d \
\( -clone 0 -fill black -colorize 88 \) \
\( -clone 0 -alpha extract -virtual-pixel black -morphology edgein octagon:2  \) \
-compose over -composite \
+swap -background none -layers merge +repage ./out/$d

   
done

